Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1496663 - Rebase libinput in 7.5
Summary: Rebase libinput in 7.5
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libinput
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Peter Hutterer
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1481401
TreeView+ depends on / blocked
 
Reported: 2017-09-28 04:54 UTC by Peter Hutterer
Modified: 2018-04-10 11:53 UTC (History)
2 users (show)

Fixed In Version: libinput-1.8.4-2.el7
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-10 11:52:21 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0736 None None None 2018-04-10 11:53:01 UTC

Description Peter Hutterer 2017-09-28 04:54:38 UTC
Description of problem:
If libinput is to become a first-class citizen instead of an extra driver available we need to rebase it to 1.8. That release has support for touchpad per-touch pressure which is a requirement for good touchpad interaction. A couple of better palm touch detection algorithms were added too.

For tablets this also resolves the wobbly lines that libinput 1.6 causes.

Comment 2 Peter Hutterer 2017-10-09 01:53:34 UTC
libinput-1.8.3-1.el7 is available in brew

Comment 6 errata-xmlrpc 2018-04-10 11:52:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0736


Note You need to log in before you can comment on or make changes to this bug.